package com.bjlt.spider.util;

import lombok.AllArgsConstructor;

/**
 * @author: luyanan0718@163.com
 * @create :2017/11/20 9:43
 * @introduce :   ip  service的请求的channelId
 **/

@AllArgsConstructor
public enum IpChannelIdEntity {


	/**
	 * 亚航 web 端的搜索接口
	 * 亚航 web 端的搜索接口
	 */
	AK_WEB(MethodType.SEARCH, "AK_WEB", "AK_WEB"),
	/**
	 * 获取账户的积分余额
	 */
	AK_APP_BIG(MethodType.SEARCH,"AK_APP_BIG","BIG"),
	/**
	 * 亚航搜索接口的手机端
	 */
	AK_MOBILE(MethodType.SEARCH,"AK_MOBILE","AK_MOBILE"),
	/**
	 * 亚航的账户的注册
	 */
	AK_REGISTER(MethodType.SEARCH,"AK_REGISTER","AK_REGISTER"),
	/**
	 * 获取航班的最低价
	 */
	AK_APP_FLIGHT_PRICE(MethodType.SEARCH,"AK_APP_FLIGHT_PRICE","AK_APP_FLIGHT_PRICE");

	/**
	 * channelId 类型
	 */
	private MethodType methodType;

	/**
	 * chhannelId的名称
	 */
	private String channelIdName;

	/**
	 * channelId
	 */
	private String channelId;


	public MethodType getMethodType() {
		return methodType;
	}

	public void setMethodType(MethodType methodType) {
		this.methodType = methodType;
	}

	public String getChannelIdName() {
		return channelIdName;
	}

	public void setChannelIdName(String channelIdName) {
		this.channelIdName = channelIdName;
	}

	public String getChannelId() {
		return channelId;
	}

	public void setChannelId(String channelId) {
		this.channelId = channelId;
	}
}
