package com.bjlt.spider.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;
import java.util.List;
import java.util.Map;
import java.util.Set;

/**
 * @Author: Scott
 * @Description:
 * @Date: Create in 20:50 2017/10/11
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class IpStatusDto implements Serializable{

        private static final long serialVersionUID = -8189237921406782011L;

        private Map<String,Set<String>> inUseIp;

        private List<String> airSource;
}
